# cdmanager Un script para gestionar fácilmente CD/DVD en un m740av
# 
# descripción: cdmanager es un script para gestionar fácilmente módulos \
#       CD/DVD para el m740av. Para usar un lector CD/DVD removible con \
#       interfaz USB-2.0, deberá ejecutar "start" para asegurar que se \
#       cargan e instalan los módulos necesarios. \
#       También se proporcionan las funciones "mount", "umount", y "eject"
#
# <C> 2006 Juan Antonio Martinez < jonsito at teleline dot es >
# Versión 1.0 20061212

REQUERMIENTOS
------------------

- Un Siemens Gigaset M740AV en funcionamiento

- Un disco duro USB-2.0 conectado al primer puerto USB del gigaset y 
  configurado correctamente

- Un lector CD/DVD USB-2.0. He realizado mis pruebas con una grabadora 
  DVD LG GSA-E10N
  Este dispositivo deberá conectarse en el segundo puerto USB del gigaset

- Un firmware modificado con las entradas /dev/scd?. Pueden descargarse 
  el mío desde la dirección
  http://www.dit.upm.es/~jantonio/m740av/2.03.42.L01jamc.wsw 

- Este paquete. Descárguelo desde
  http://www.dit.upm.es/~jantonio/m740av/cdmanager-1.0.tar.gz

INSTRUCCIONES DE INSTALACION
----------------------------

- Copiar al disco duro del gigaset el paquete siguiente mediante ftp/scp
scp cdmanager-1.0.tar.gz root@m740av:/var/media/USB-HDD-1

- Abrir como root una sesión telnet/ssh
slogin root@m740av

- "cd" al disco durom descomprimir e instalar
cd /var/media/USB-HDD-1
tar zxvf cdmanager-1.0.tar.gz

- Ir al directorio recién creado
cd cdmanager-1.0

- Instalar los módulos y preparar el sistema
./cdmanager start

Conectar el CD/DVD al equipo y a la corriente eléctrica

Podemos forzar a este software para que se instale automáticamente al 
iniciar el m740av. Para ello deberemos crear/editar la clave con el 
comando siguiente:
echo "/var/media/USB-HDD-1/cdmanager/cdmanager start" >> /var/etc/rc.sys-start

USO DIARIO DEL CD/DVD CON EL GIGASET
------------------------------------

Comandos permitidos en el cdmanager:

start    cargar e instalar módulos CD/DVD
stop     desinstalar módulos
restart  reinstalar módulos
mount    unir el cd al árbol de directorios
umount   quitar el CD/DVD del árbol de directorios
status   mostrar el estado del CD/DVD
eject    abrir la bandeja del CD/DVD

Para inicializar la sesión:
- cdmanager start
- conectar la lectora de CD e insertar un disco
- cdmanager mount

Para navegar con el Wabebox por el CD insertado en la unidad, deberemos 
seleccionar "Playlist" desde el menú, ir al directorio
/var/media/USB-HDD-1/cdmanager-1.0/mnt y seleccionar en el CD/DVD los
archivos deseados

Para cambiar / extraer el CD:
- cdmanager umount
- cdmanager eject

Para finalizar la sesión:
- cdmanager stop

ERRORES Y PROBLEMAS CONOCIDOS
-----------------------------

- El control remoto parece responder más lentamente mientras se visualizan 
  los datos desde el CD. 
- No se puede (aún) reproducir ni AudioCDs ni PHOTOCDs, sólo pueden 
  leerse CD/DVDs ISO9661 y UDF.
- No se pueden reproducir DVD's estándar, porque el WaveBox no reconoce 
  los formatos de audio AC3 o la encriptación CSS-scrambling
- Para poder visualizar ficheros .VOB, deberemos crear un enlace simbólico 
  al archivo y nombrarlos con la extensión ".mpg" . Sin embargo, dado que 
  el sonido de un Vobfile está codificado en AC3, no lo podremos oír,
  salvo que el gigaset esté conectado a un equipo DolbyDigital-5.1 por la
  salida digital-audio
- La grabación de CD/DVD no está soportada y no hay planes para que lo esté.

MAS INFORMACION:
----------------

Este software y sus herramientas relacionadas están disponibles en:
http://www.dit.upm.es/~jantonio/m740av

Mandar las preguntas, sugestiones, parches, etc. a 
Juan Antonio Martinez <jonsito@teleline.es>

